### Enumeration

# GIRepository InvokeError

since: 2.80

#### Declaration

    error-domain GIRepository.InvokeError

#### Description

An error occurring while invoking a function via `gi_function_info_invoke()`.

Available since: 2.80

#### Members

`GI_INVOKE_ERROR_FAILED`

  Invocation failed, unknown error.

  - Value: `0`
  - Available since: 2.80
`GI_INVOKE_ERROR_SYMBOL_NOT_FOUND`

  Symbol couldn’t be found in any of the libraries associated with the typelib of the function.

  - Value: `1`
  - Available since: 2.80
`GI_INVOKE_ERROR_ARGUMENT_MISMATCH`

  The arguments provided didn’t match the expected arguments for the function’s type signature.

  - Value: `2`
  - Available since: 2.80